/**
 * Peak detection by the centroid algorithm.
 * 
 * Usage:
 * 
 * ./centroid limit < input_spectrum
 */

#include "common.cpp"

int main(int argc, char* argv[])
{
    double limit;
    if(argc >= 2) limit = atof(argv[1]); else limit = 0.4;
    
    /* read program options */
    Data data;
    data.read(limit);
    
    /* centroid */
    double sum1 = 0, sum2 = 0;
    
    for(size_t i = 0, e = data.size(); i < e; ++i)
    {
        sum1 += data[i].x * data[i].y;
        sum2 += data[i].y;
    }
    
    double center = sum1 / sum2;
    
    /* output */
    printf("%.6lf\n", center );
    
    return 0;
}
