/**
 * Naive peak determination. Just iterates the data points to find it's
 * maximum.
 * 
 * Usage:
 * 
 * ./naive < input_spectrum
 */

#include "common.cpp"

int main(int argc, char* argv[])
{
    /* read the input data */
    Data data;
    data.read();
    
    /* iterates the data to find the maximum */
    Pair peak = {-1, -1};
    for(size_t i = 0, e = data.size(); i < e; ++i)
        peak.cmp_peak(data[i]);
    
    printf("%.6lf\n", peak.x);
    
    return 0;
}
