#! /usr/bin/env lua

--[[
    Formats the test_all.lua output to a format suitable for gnuplot.
    Usage: ./plot_data out_file
--]]

local file = assert( io.open(arg[1]) )
local progs   = {'naive', 'centroid', 'ls_poly', 'ls_gaussian', 'fir', 'fcc'}

local db = {}
for i = 60, 16, -2 do table.insert(db, i) end
table.insert(db, 15)

local peak = 1550.106900000000 -- uniform
--local peak = 1550.074400000000   -- gaussian

for i, db in ipairs(db) do
    file:read('*l')
    io.write(db)
    
    for j, prog in ipairs(progs) do
        local line = file:read('*l')
        local _, _, name, mean, std = line:find('%s+(.-)%s(.-)%s(.+)')
        io.write(' ', mean, ' ', math.abs(mean - peak) * 1e3, ' ', std * 1e3)
    end
    print()
end

file:close()
