#! /usr/bin/env lua

--[[
    Accuracy and precision benchmark.
    Usage: ./test_all profile
--]]

local profile = assert(arg[1])
local n       = 300
local progs   = {'naive', 'centroid', 'ls_poly', 'ls_gaussian', 'fir', 'fcc'}

local db = {}
for i = 60, 16, -2 do table.insert(db, i) end
table.insert(db, 15)

local out = io.open('out_' .. profile, 'w')
local ptn = './test.lua %s %s 1550 %d ' .. n

local sf  = string.format

for i, db in ipairs(db) do
    out:write( sf('** %d **\n', db) )
    
    for j, prog in ipairs(progs) do
        local f = io.popen( sf(ptn, prog, profile, db) )
        print(db, prog)
        local mean = f:read('*n')
        local std  = f:read('*n')
        out:write( sf('%20s %.12f %.12f\n', prog, mean, std) )
        f:close()
    end
end

out:close()
